package com.sqx.modules.pay.service;

import com.sqx.modules.pay.entity.CashOut;
import com.sqx.modules.pay.wuyou.BaseResp;
import com.sqx.modules.pay.wuyou.NotifyDto;

/**
 * @author GYJoker
 */
public interface WuyouCallbackService {

    int executeExtractCallback(CashOut cashOut, BaseResp resp);

    void executeExtractCallback(CashOut cashOut, NotifyDto notifyDto);

    int executeExtractCallback(CashOut cashOut, int status, String reason);
}
